import request from "../../common/request"

export default {
	save: function (inputForm) {
		console.log('提交的数据',inputForm)
		return request({
			url: "/dispose/rubbish/save",
			method: "post",
			data: inputForm,
		});
	},

	queryById: function (id) {
		return request({
			url: "/dispose/rubbish/queryById",
			method: "get",
			params: { id: id },
		});
	},

	getMaxNo: function () {
		return request({
			url: "/dispose/rubbish/getMaxNo",
			method: "get",
		});
	},
	getProcessingUnit: function () {
		return request({
			url: "/dispose/rubbish/getProcessingUnit",
			method: "get",
		});
	},
	getUserInfoByOffId: function (officeId) {
		return request({
			url: "/dispose/rubbish/getUserInfoByOffId",
			method: "get",
			params: {officeId: officeId}
		});
	},
	getRubbishStation: function () {
		return request({
			url: "/dispose/rubbish/getRubbishStation",
			method: "get",
		});
	},
	getByProcInsId: function (procInsIdList) {
		return request({
			url: "/dispose/rubbish/getByProcInsId",
			method: "get",
			params: {procInsIds: procInsIdList.join(",")},

		});
	},
	getByWorkOverId: function (programIdList) {
		return request({
			url: "/dispose/rubbish/getByWorkOverId",
			method: "get",
			params: {programIds: programIdList.join(",")},

		});
	},
	getDetailCollectByOfficeId: function (officeId) {
		return request({
			url: "/dispose/rubbish/getDetailCollectByOfficeId",
			method: "get",
			params: {officeId: officeId}
		});
	},
	getDetailCollectByOfficeIdAndMonth: function (officeId,yearMonth) {
		return request({
			url: "/dispose/rubbish/getDetailCollectByOfficeIdAndMonth",
			method: "get",
			params: {officeId: officeId,yearMonth:yearMonth}
		});
	},
	getByNo: function (no) {
		return request({
			url: "/dispose/rubbish/getByNo",
			method: "get",
			params: {no: no}
		});
	},
	getAllOfficeDetailCollect: function () {
		return request({
			url: "/dispose/rubbish/getAllOfficeDetailCollect",
			method: "get"
		});
	},
};
